/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   escalators.cpp
 * Author: cteam014
 *
 * Created on October 20, 2018, 9:56 AM
 */

#include <iostream>
#include <list>
#include <set>
#include <limits.h>
#include <map>
#include <vector>
#include <array>

using namespace std;

class Floor {
public:
    int tokens;
    list<Floor * > neighbours;
    int num;
};

int MAX = INT_MIN + 50  ;
// int - max val at node 
//map < Floor * , int > used ;

vector < Floor * > floors ;

int myminus ( int sum , int valueNext ) {
    return sum - (sum & valueNext) ;
}

void dfs ( Floor * f , int sum , set<Floor* > & used ) {
    sum += f->tokens ;
    if ( sum > MAX ) {
        MAX = sum ;
    }
    
    
    
    for ( Floor * desc : f->neighbours ) {
        if ( used.find( desc ) == used.end () ) {
            used . insert( desc ) ;
            cout << desc->num<< " " << sum << " " << myminus ( sum , desc->tokens ) << endl ;
            dfs ( desc , sum & desc->tokens , used  ) ;
        }
    }
}


int main(int argc, char** argv) {
    ios_base::sync_with_stdio(false);
    int floorsNum;
    cin >> floorsNum;
    
    floors.reserve ( floorsNum + 1 ) ;
    for ( int i = 0 ; i < floorsNum ; ++ i ) {
        floors[i] = new Floor ;
        //cout << "new f" << endl ;
        floors[i]->num = i;
    }
    
    for ( int i = 0 ; i < floorsNum ; ++ i ) {
        cin >> floors[i]->tokens ;
        //cout << floors [i] -> tokens << endl ;
    }
    
    int x , y ;
    while ( cin >> x >> y ) {
        floors[x]->neighbours.push_back( floors[y] );
        floors[y]->neighbours.push_back( floors[x] );
    }
    
    
    for ( int i = 0 ; i < floorsNum ; ++ i ) {
        set <Floor * > used ;
        used .insert( floors [i] );
        dfs ( floors[i] , 0 , used ); 
    }
    
    cout << MAX << endl ;
    
    
    
    
    
    
    
    
    
    
    for ( int i = 0 ; i < floorsNum ; ++ i ) {
        floors[i] = new Floor ;
    }
    
    return 0;
}

